<?php

namespace StructType;

use \WsdlToPhp\PackageBase\AbstractStructBase;

/**
 * This class stands for VisaModify StructType
 * @subpackage Structs
 */
class VisaModify extends AbstractStructBase
{
    /**
     * The VisaModifyRQ
     * Meta information extracted from the WSDL
     * - maxOccurs: 1
     * - minOccurs: 0
     * @var \StructType\JP_VisaModify
     */
    public $VisaModifyRQ;
    /**
     * Constructor method for VisaModify
     * @uses VisaModify::setVisaModifyRQ()
     * @param \StructType\JP_VisaModify $visaModifyRQ
     */
    public function __construct(\StructType\JP_VisaModify $visaModifyRQ = null)
    {
        $this
            ->setVisaModifyRQ($visaModifyRQ);
    }
    /**
     * Get VisaModifyRQ value
     * @return \StructType\JP_VisaModify|null
     */
    public function getVisaModifyRQ()
    {
        return $this->VisaModifyRQ;
    }
    /**
     * Set VisaModifyRQ value
     * @param \StructType\JP_VisaModify $visaModifyRQ
     * @return \StructType\VisaModify
     */
    public function setVisaModifyRQ(\StructType\JP_VisaModify $visaModifyRQ = null)
    {
        $this->VisaModifyRQ = $visaModifyRQ;
        return $this;
    }
    /**
     * Method called when an object has been exported with var_export() functions
     * It allows to return an object instantiated with the values
     * @see AbstractStructBase::__set_state()
     * @uses AbstractStructBase::__set_state()
     * @param array $array the exported values
     * @return \StructType\VisaModify
     */
    public static function __set_state(array $array)
    {
        return parent::__set_state($array);
    }
    /**
     * Method returning the class name
     * @return string __CLASS__
     */
    public function __toString()
    {
        return __CLASS__;
    }
}
